var Operador_Repository = function(localStorageEngine, restEngine) {
    this.retornaOperadorLogado = function(user) {
        var cdoperador = 'OPERADOR_LOGADO';
        
        if(!Util.isEmptyOrBlank(user)) {
            cdoperador = user.cdoperador;
        }
        
        var filtro = {
            'requestType': 'FilterData',
            filter: [{
                name: "CDOPERADOR",
                operator: "=",
                value: cdoperador
            },
            {
                name: "NRORG",
                operator: "=",
                value: getLocalVar('CRM_NRORG')
            }]
        };
        
        return restEngine.post('product#/crud/operador_geral', filtro).then(function(response) {
            return response.dataset.operador_geral;
        });
    };
    this.retornaPerfilOperadorLogado = function(){
        var filter  = [
            {
                "name": "CDOPERADOR",
                "operator": "=",
                "value": "OPERADOR_LOGADO"
            }
        ];
        return localStorageEngine.download("product#/crud/crm_perfioper_operador", filter);
    };
};

Configuration(function(ContextRegister) {
    ContextRegister.register('Operador_Repository', Operador_Repository);
});